aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d/rc.sysinit
diff options
context:
space:
mode:
Diffstat (limited to 'rc.d/rc.sysinit')
-rwxr-xr-xrc.d/rc.sysinit2
1 files changed, 1 insertions, 1 deletions
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index 928e0779..b2d2abfa 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -275,7 +275,7 @@ if [ -n "$USEMODULES" ]; then
action "Loading sound module" modprobe sound
fi
# Get mixer settings
- if [ $? -eq 0 -a -f /etc/.aumixrc ]; then
+ if [ $? -eq 0 -a -f /etc/.aumixrc -a -x /bin/aumix-minimal ]; then
action "Loading mixer settings" /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null
fi
if grep -s -q "^alias midi " /etc/conf.modules ; then